// BeforeGenerics.java

import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;

public class BeforeGenerics
{
   public static void main(String[] args)
   {
      List l = new ArrayList();

      l.add(new Double(101.0));
      l.add(new Double(89.0));
      l.add(new Double(33.0));

      double avg = calculateAverage(l);
      System.out.println("Average = "+avg);

      l.add("Average");
      avg = calculateAverage(l);
      System.out.println("Average = "+avg);
   }

   static double calculateAverage(List l)
   {
      double sum = 0.0;
      Iterator iter = l.iterator();
      while (iter.hasNext())
         sum += ((Double) iter.next()).doubleValue();

      return sum/l.size();
   }
}
